# Method: projects.locations.hardware.create

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware/create#try-it)

Creates new hardware in a given project and location.

### HTTP request

`POST https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*}/hardware`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The project and location to create hardware in. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `hardwareId` | `string` Optional. ID used to uniquely identify the Hardware within its parent scope. This field should contain at most 63 characters and must start with lowercase characters. Only lowercase characters, numbers and `-` are accepted. The `-` character cannot be the first or the last one. A system generated ID will be used if the field is not set. The hardware.name field in the request will be ignored. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.hardware#Hardware`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.11.0/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `gdchardwaremanagement.hardware.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).